
echo "Casos con memo vacio:"
./bin/psql.sh -c "select id, fecha from caso where memo='' order by fecha;"

echo "Casos con fecha de otras fuentes anterior a la del caso:"
./bin/psql.sh -c "select caso.id, caso.fecha, fuente_directa.nombre from fuente_directa_caso, caso, fuente_directa where fuente_directa_caso.id_caso=caso.id and fuente_directa_caso.id_fuente_directa=fuente_directa.id and fuente_directa_caso.fecha < caso.fecha order by fecha;"

echo "Casos con fecha de fuente frecuente anterior a la del caso:"
./bin/psql.sh -c "select caso.id, caso.fecha, prensa.nombre from escrito_caso, prensa, caso where escrito_caso.id_caso=caso.id and escrito_caso.id_prensa=prensa.id and escrito_caso.fecha < caso.fecha order by fecha;"

echo "Casos con fecha inicial de funcionario anterior o igual a la del caso:"
./bin/psql.sh -c "drop view y; create view y as select caso.id, min(funcionario_caso.fecha_inicio) from funcionario_caso, caso where caso.id>'35000' and caso.id=funcionario_caso.id_caso group by caso.id order by caso.id ; select y.id, caso.fecha, y.min as fecha_funcionario, funcionario.nombre from y, caso, funcionario_caso, funcionario where y.id=caso.id and y.min<=caso.fecha and funcionario_caso.id_caso=caso.id and funcionario_caso.fecha_inicio=y.min and funcionario_caso.id_funcionario=funcionario.id;"

echo "Victimas individuales sin tipificacin";
./bin/psql.sh -c "select caso.id, trim(victima.nombre), funcionario.nombre, caso.fecha from victima, caso, funcionario_caso, funcionario where victima.id_caso=caso.id and caso.id=funcionario_caso.id_caso and funcionario_caso.id_funcionario=funcionario.id and victima.id not in (select id_victima from categoria_personal) order by caso.fecha;";


echo "Victimas individuales sin presunto responsable";
./bin/psql.sh -c "select distinct caso.id, trim(victima.nombre), min(funcionario.nombre), caso.fecha from victima,  caso, funcionario_caso, funcionario where victima.id_caso=caso.id and caso.id=funcionario_caso.id_caso and funcionario_caso.id_funcionario=funcionario.id and victima.id not in (select id_victima from p_responsable_agrede_persona) and caso.fecha>='2005-01-01' group by caso.id, victima.nombre, caso.fecha order by caso.fecha;";


echo "Victimas colectivas sin tipificacin";
./bin/psql.sh -c "select caso.id, trim(victima_colectiva.nombre), funcionario.nombre, caso.fecha from victima_colectiva, victima_colectiva_caso, caso, funcionario_caso, funcionario where victima_colectiva_caso.id_caso=caso.id and victima_colectiva_caso.id_v_colectiva=victima_colectiva.id and caso.id=funcionario_caso.id_caso and funcionario_caso.id_funcionario=funcionario.id and victima_colectiva.id not in (select id_v_colectiva from categoria_comunidad) order by caso.fecha;";


echo "Victimas colectivas sin presunto responsable";
./bin/psql.sh -c "select caso.id, trim(victima_colectiva.nombre), min(funcionario.nombre), caso.fecha from victima_colectiva, victima_colectiva_caso, caso, funcionario_caso, funcionario where victima_colectiva_caso.id_caso=caso.id and victima_colectiva_caso.id_v_colectiva=victima_colectiva.id and caso.id=funcionario_caso.id_caso and funcionario_caso.id_funcionario=funcionario.id and victima_colectiva.id not in (select id_v_colectiva from p_responsable_agrede_comunidad) and caso.fecha>='2005-01-01' group by caso.id, victima_colectiva.nombre, caso.fecha order by caso.fecha;";


echo "Casos sin victima";
./bin/psql.sh -c "select distinct caso.fecha, caso.id from categoria_caso, caso where categoria_caso.id_caso=caso.id and caso.id not in  (select id_caso from victima) and caso.id not in (select id_caso from victima_colectiva_caso ) and caso.id not in (select id_caso from combatiente) and caso.fecha>='2005-01-01' and categoria_caso.id_categoria not in (66,69,80,84,85,86,89,801,90,91,92,93,95,707,708,709,902) order by caso.fecha;"


echo "Casos sin funcionario";
./bin/psql.sh -c "SELECT caso.id FROM caso WHERE caso.id NOT IN (SELECT id_caso FROM funcionario_caso);"

